#ifndef FLUTTER_PLUGIN_ALOG_WINDOWS_PLUGIN_H_
#define FLUTTER_PLUGIN_ALOG_WINDOWS_PLUGIN_H_

#include <flutter/method_channel.h>
#include <flutter/plugin_registrar_windows.h>

#include <memory>

namespace alog_windows {

class AlogWindowsPlugin : public flutter::Plugin {
 public:
  static void RegisterWithRegistrar(flutter::PluginRegistrarWindows *registrar);

  AlogWindowsPlugin();

  virtual ~AlogWindowsPlugin();

  // Disallow copy and assign.
  AlogWindowsPlugin(const AlogWindowsPlugin&) = delete;
  AlogWindowsPlugin& operator=(const AlogWindowsPlugin&) = delete;

  // Called when a method is called on this plugin's channel from Dart.
  void HandleMethodCall(
      const flutter::MethodCall<flutter::EncodableValue> &method_call,
      std::unique_ptr<flutter::MethodResult<flutter::EncodableValue>> result);
};

}  // namespace alog_windows

#endif  // FLUTTER_PLUGIN_ALOG_WINDOWS_PLUGIN_H_
